Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant
Class RuntimeConfigurable

    java.lang.Object
      |
      +--org.apache.tools.ant.RuntimeConfigurable

public class RuntimeConfigurable
extends java.lang.Object

Wrapper class that holds the attributes of a Task (or elements nested below that level) and takes care of configuring that element at runtime.

Author:
  Stefan Bodewig

Constructor Summary
`RuntimeConfigurable(java.lang.Object proxy)`

Method Summary
`void` | `addChild(RuntimeConfigurable child)` Adds child elements to the wrapped element.
`void` | `addText(char[] buf, int start, int end)` Add characters from #PCDATA areas to the wrapped element.
`void` | `addText(java.lang.String data)` Add characters from #PCDATA areas to the wrapped element.
`org.xml.sax.AttributeList` | `getAttributes()` Returns the AttributeList of the wrapped element.
`void` | `maybeConfigure(Project p)` Configure the wrapped element and all children.
`void` | `setAttributes(org.xml.sax.AttributeList attributes)` Set's the attributes for the wrapped element.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RuntimeConfigurable

    public RuntimeConfigurable(java.lang.Object proxy)

  Parameters:
    `proxy` - The element to wrap.

Method Detail

### setAttributes

    public void setAttributes(org.xml.sax.AttributeList attributes)

  Set's the attributes for the wrapped element.

### getAttributes

    public org.xml.sax.AttributeList getAttributes()

  Returns the AttributeList of the wrapped element.

### addChild

    public void addChild(RuntimeConfigurable child)

  Adds child elements to the wrapped element.

### addText

    public void addText(java.lang.String data)

  Add characters from #PCDATA areas to the wrapped element.

### addText

    public void addText(char[] buf,
                        int start,
                        int end)

  Add characters from #PCDATA areas to the wrapped element.

### maybeConfigure

    public void maybeConfigure(Project p)
                        throws BuildException

  Configure the wrapped element and all children.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 Apache Software Foundation. All Rights Reserved.